<?php
function FT_OP_update()
{
	$settings = get_option('ft_op');
	$settings['id'] = 'ft_' . FT_scope::tool()->optionsName;
	update_option('ft_op', $settings);
}

function FT_OP_options()
{
	
	// Test data
	$test_array = array("1" => "Tutorials","2" => "Posts");
	
	// Multicheck Array
	$multicheck_array = array("one" => "French Toast", "two" => "Pancake", "three" => "Omelette", "four" => "Crepe", "five" => "Waffle");
	
	// Multicheck Defaults
	$multicheck_defaults = array("one" => "1","five" => "1");
	
	// Background Defaults
	
	$background_defaults = array('color' => '', 'image' => '', 'repeat' => 'repeat','position' => 'top center','attachment'=>'scroll');
	
	
	// Pull all the categories into an array
	$options_categories = array();  
	$options_categories_obj = get_categories();
	foreach ($options_categories_obj as $category) {
    	$options_categories[$category->cat_ID] = $category->cat_name;
	}
	
	// Pull all the pages into an array
	$options_pages = array();  
	$options_pages_obj = get_pages('sort_column=post_parent,menu_order');
	$options_pages[''] = 'Select a page:';
	foreach ($options_pages_obj as $page) {
    	$options_pages[$page->ID] = $page->post_title;
	}
	
		// Pull all the pages into an array
	$options_slider = array();  
	$options_slider_obj = get_posts('post_type=custom_slider');
	$options_slider[''] = 'Select a slider:';
	foreach ($options_slider_obj as $post) {
    	$options_slider[$post->ID] = $post->post_title;
	}
		
	// If using image radio buttons, define a directory path
	$imagepath =  get_bloginfo('stylesheet_directory') . '/images/';
		
	$options = array();
	
	
																	
	
	$options[] = array( "name" => "Homepage",
						"type" => "heading");	


	$options[] = array( "name" => "Hero section",
						"type" => "info");	

	$options[] = array( "name" => "Hero title",
						"desc" => "Enter a title for your hero section",
						"id" => "fabthemes_hero_title",
						"std" => "Connecting Employers and Jobseekers",
						"type" => "text");		
						
	$options[] = array( "name" => "Hero text",
						"desc" => "Enter text that goes below Hero title",
						"id" => "fabthemes_hero_text",
						"std" => "A job listing theme from fabthemes.com",
						"type" => "text");	

	$options[] = array( "name" => "Jobs page",
						"desc" => "Select the page that is set to show Job listings",
						"id" => "fabthemes_job_page",
						"type" => "select",
						"options" => $options_pages);		

	$options[] = array( "name" => "Job Submit page",
						"desc" => "Select the page that is set to submit Job listings",
						"id" => "fabthemes_submit_page",
						"type" => "select",
						"options" => $options_pages);	

	$options[] = array( "name" => "Features Section",
						"type" => "info");	


	$options[] = array( "name" => "Features section title",
						"desc" => "Enter a title for features section",
						"id" => "fabthemes_feature_title",
						"std" => "Awesome features",
						"type" => "text");		

	$options[] = array( "name" => "Features section sub title",
						"desc" => "Enter text that goes below features section title",
						"id" => "fabthemes_feature_text",
						"std" => "Some awesome features packed in this site",
						"type" => "text");	


	$options[] = array( "name" => "Job listing Section",
						"type" => "info");	


	$options[] = array( "name" => "Jobs section title",
						"desc" => "Enter a title for Job lising section",
						"id" => "fabthemes_job_title",
						"std" => "Latest Jobs",
						"type" => "text");		

	$options[] = array( "name" => "Jobs section sub title",
						"desc" => "Enter text that goes below jobs section title",
						"id" => "fabthemes_jobs_text",
						"std" => "Latest Jobs listed on our site",
						"type" => "text");	

	$options[] = array( "name" => "Blog Section",
						"type" => "info");	


	$options[] = array( "name" => "Blog section title",
						"desc" => "Enter a title for Blog section",
						"id" => "fabthemes_blog_title",
						"std" => "Latest Articles",
						"type" => "text");		

	$options[] = array( "name" => "Blog section sub title",
						"desc" => "Enter text that goes below blog section title",
						"id" => "fabthemes_blog_text",
						"std" => "Latest articles from our blog",
						"type" => "text");	



	$options[] = array( "name" => "Style Settings",
						"type" => "heading");		


	$options[] = array( "name" => "Main Color scheme",
						"desc" => "Theme main color",
						"id" => "fabthemes_primary_color",
						"std" => "",
						"type" => "color");
						

	$options[] = array( "name" => "Accent color",
						"desc" => "Secondary accent color",
						"id" => "fabthemes_secondary_color",
						"std" => "",
						"type" => "color");						
						
					
	$options[] = array( "name" => "Link color",
						"desc" => "Link color",
						"id" => "fabthemes_link_color",
						"std" => "",
						"type" => "color");		
									
	$options[] = array( "name" => "Link hover color",
						"desc" => "Link color on hover",
						"id" => "fabthemes_hover_color",
						"std" => "",
						"type" => "color");							
						
					

	if (file_exists(dirname(__FILE__) . '/FT/options/banners.php'))
			include ('FT/options/banners.php');

	if (file_exists(dirname(__FILE__) . '/FT/options/colors.php'))
			include ('FT/options/colors.php');

	if (file_exists(dirname(__FILE__) . '/FT/options/common.php'))
			include ('FT/options/common.php');

	return $options;
}